<%@ page contentType="text/html; charset=utf-8"
         pageEncoding="utf-8" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<html>
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="apple-mobile-web-app-capable" content="yes">
    <meta name="apple-mobile-web-app-status-bar-style" content="black">
    <meta name="format-detection" content="telephone=no">
    <meta http-equiv="X-UA-Compatible" content="IE=Edge,chrome=1">
    <meta name="renderer" content="webkit">
    <!-- 移动设备 viewport -->
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0">
    <jsp:include page="../../common.jsp"/>
</head>
<body>

<form class="layui-form" id="form1" action="" style="margin-top: 30px;">
    <div class="layui-inline">
        <label class="layui-form-label">设备类型</label>
        <div class="layui-input-block">
            <select class="layui-select" name="code" autocomplete="off">
                <option value="">请选择</option>
                <c:forEach items="${deviceTypeDict}" var="dict">
                    <option value="${dict.value}">${dict.name}</option>
                </c:forEach>
            </select>
        </div>
    </div>
    <div class="layui-inline">
        <label class="layui-form-label">厂家名称</label>
        <div class="layui-input-block">
            <input type="text" name="venderName" placeholder="请输入厂家名称" autocomplete="off" class="layui-input">
        </div>
    </div>

    <div class="layui-inline">
        <label class="layui-form-label">状态</label>
        <div class="layui-input-block">
            <select class="layui-select" name="status" autocomplete="off">
                <option value="">请选择</option>
                <option value="1">显示</option>
                <option value="0">不显示</option>
            </select>
        </div>
    </div>
</form>
<table class="layui-hide" id="deviceDetailTab" lay-filter="deviceDetailTab"></table>

<script type="text/html" id="leftBar">
    <button type="button" class="layui-btn layui-btn-sm" lay-event="add"><i class="layui-icon">&#xe608;</i>新增</button>
    <button type="button" class="layui-btn layui-btn-normal layui-btn-sm" lay-event="search"><i class="layui-icon">&#xe615;</i>查询
    </button>
</script>

<script type="text/html" id="toolBar">
    <button type="button" class="layui-btn layui-btn-sm layui-btn-normal" lay-event="edit"><i class="layui-icon">&#xe642;</i>编辑
    </button>
    <button type="button" class="layui-btn layui-btn-sm layui-btn-danger" lay-event="del"><i
            class="layui-icon">&#xe640;</i>删除
    </button>
</script>

<script>
    layui.use(['table', 'layer', 'form'], function () {
        var table = layui.table;
        var layer = layui.layer;
        var form = layui.form;
        var tableIns = table.render({
            elem: '#deviceDetailTab'
            , url: ctx + '/deviceDetail/page'
            , id: 'deviceDetail'
            , response: {
                statusName: 'code' //数据状态的字段名称，默认：code
                , countName: 'count' //数据总数的字段名称，默认：count
                , dataName: 'data' //默数据列表的字段名称，认：data
                , statusCode: 200
            }
            , parseData: function (res) { //res 即为原始返回的数据
                return {
                    "code": res.code, //解析接口状态
                    "msg": res.message, //解析提示文本
                    "count": res.data.total, //解析数据长度
                    "data": res.data.records //解析数据列表
                };
            }
            , toolbar: '#leftBar' //开启头部工具栏，并为其绑定左侧模板
            , defaultToolbar: ['filter']
            , title: '设备类型详情表'
            , cols: [[
                {type: 'checkbox', fixed: 'left', hidden: true}
                , {field: 'numbers', title: '序号', fixed: 'left', unresize: true, width: 80, type: 'numbers'}
                , {field: 'codeDesc', title: '设备类型'}
                , {field: 'typeDesc', title: '设备规格'}
                , {field: 'groupNoDesc', title: '设备分组'}
                /*,{field:'deviceLogo', title:'设备图片',templet:function (d) {
                    if(d.deviceLogo != ''){
                        return '<span id="pic_'+d.id+'"><img src="'+d.deviceLogo+'" lay-event="showPic" style="cursor: pointer" width="50px" height="50px" alt=""/></span>';
                    }else{
                        return "";
                    }
                }}*/
                , {field: 'venderName', title: '厂家名称'}
                , {field: 'venderModel', title: '厂家型号'}
                , {field: 'aisleModel', title: '通道型号'}
                , {field: 'seq', title: '排序'}
                , {
                    field: 'unitPrice', title: '单价', templet: function (d) {
                        return d.unitPrice.toFixed(2);
                    }
                }
                , {
                    field: 'status', title: '状态', templet: function (d) {
                        if (d.status == '1') {
                            return '<span style="color: green">显示</span>';
                        } else {
                            return '<span >不显示</span>';
                        }
                    }
                }
                , {field: 'introDesc', title: '设备简介'}
                , {
                    field: 'createTime',
                    title: '创建时间',
                    width: 160,
                    templet: "<div>{{layui.util.toDateString(d.createTime,'yyyy-MM-dd HH:mm:ss')}}</div>"
                }
                , {fixed: 'right', title: '操作', width: 180, toolbar: '#toolBar'}
            ]]
            , request: {
                pageName: 'current' //页码的参数名称，默认：page
                , limitName: 'size' //每页数据量的参数名，默认：limit
            }
            , page: true
        });
        table.on('tool(deviceDetailTab)', function (obj) { //注：tool 是工具条事件名，test 是 table 原始容器的属性 lay-filter="对应的值"
            var data = obj.data; //获得当前行数据
            var layEvent = obj.event; //获得 lay-event 对应的值（也可以是表头的 event 参数对应的值）
            if (layEvent === 'del') { //删除
                layer.confirm('真的删除么?', {icon: 3}, function (index) {
                    obj.del(); //删除对应行（tr）的DOM结构，并更新缓存
                    layer.close(index);
                    del(data);
                    //向服务端发送删除指令
                });
            } else if (layEvent === 'edit') {
                toAdd(obj.data);
            } else if (obj.event === "showPic") {
                var objJson = {};
                objJson.title = "预览";
                objJson.id = data.id;
                objJson.start = "0";
                objJson.data = new Array();
                var imgObj = new Object();
                imgObj.alt = "设备图片";
                imgObj.pid = data.id;
                imgObj.src = $('#pic_' + data.id).find("img").attr("src");
                objJson.data.push(imgObj);
                layer.photos({
                    photos: objJson,
                    //0-6的选择，指定弹出图片动画类型，默认随机
                    anim: 5
                });
            }
        });

        function toAdd(obj) {
            var title = "新增";
            var url = ctx + '/deviceDetail/detail/';
            if (obj != undefined) {
                url = ctx + "/deviceDetail/detail/" + obj.id;
                title = "编辑";
            }
            var index = layer.open({
                type: 2
                , title: title
                , shade: 0.5
                , maxmin: true
                , content: url
                , area: ['1000px', '650px']
            });
        }

        //监听头工具栏事件
        table.on('toolbar(deviceDetailTab)', function (obj) {
            switch (obj.event) {
                case 'add':
                    // 添加
                    toAdd();
                    break;
                case 'search':
                    var params = serialize($('#form1'));
                    table.reload('deviceDetail', {
                        where: params
                        , page: {
                            size: 10
                            , current: 1
                        }
                    });
                    break;
            }
        });

        /*function toAddSave(index,dom) {
            var data = dom.serializeObject();
            $.ajax({
                url: ctx + '/deviceDetail/saveOrUpdate',
                method: 'post',
                data: JSON.stringify(data),
                dataType: 'JSON',
                contentType:"application/json",
                success: function(res) {
                    if(res.code == 200) {
                        layer.close(index);
                        layer.msg(res.message, {
                            icon: 1
                        });
                        tableIns.reload();
                    } else {
                        layer.msg(res.message, {
                            icon: 2
                        });
                    }
                }
            })
        }*/
        function del(obj) {
            $.ajax({
                url: ctx + '/deviceDetail/del/' + obj.id,
                method: 'DELETE',
                dataType: 'JSON',
                contentType: "application/json",
                success: function (res) {
                    if (res.code == 200) {
                        layer.msg(res.data, {
                            icon: 1
                        });
                    } else {
                        layer.msg(res.data, {
                            icon: 2
                        });
                    }
                }
            })
        }
    });
    jQuery.prototype.serializeObject = function () {
        var obj = new Object();
        $.each(this.serializeArray(), function (index, param) {
            if (!(param.name in obj)) {
                obj[param.name] = param.value;
            }
        });
        return obj;
    };
</script>
</body>
</html>
